# YouTube Reporting API . jobs . reports

## Instance Methods

Gets the metadata of a specific report.

Lists reports created by a specific job. Returns NOT_FOUND if the job does not exist.

Retrieves the next page of results.

### Method Details

`get(jobId, reportId, onBehalfOfContentOwner=None, x__xgafv=None)`

    Gets the metadata of a specific report.

    Args:
      jobId: string, The ID of the job. (required)
      reportId: string, The ID of the report to retrieve. (required)
      onBehalfOfContentOwner: string, The content owner's external ID on which behalf the user is acting on. If not set, the user is acting for himself (his own channel).
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # A report's metadata including the URL from which the report itself can be downloaded.
        "downloadUrl": "A String", # The URL from which the report can be downloaded (max. 1000 characters).
        "jobExpireTime": "A String", # The date/time when the job this report belongs to will expire/expired.
        "id": "A String", # The server-generated ID of the report.
        "jobId": "A String", # The ID of the job that created this report.
        "startTime": "A String", # The start of the time period that the report instance covers. The value is inclusive.
        "endTime": "A String", # The end of the time period that the report instance covers. The value is exclusive.
        "createTime": "A String", # The date/time when this report was created.
      }

`list(jobId, pageSize=None, startTimeAtOrAfter=None, x__xgafv=None, onBehalfOfContentOwner=None, pageToken=None, createdAfter=None, startTimeBefore=None)`

    Lists reports created by a specific job. Returns NOT_FOUND if the job does not exist.

    Args:
      jobId: string, The ID of the job. (required)
      pageSize: integer, Requested page size. Server may return fewer report types than requested. If unspecified, server will pick an appropriate default.
      startTimeAtOrAfter: string, If set, only reports whose start time is greater than or equal the specified date/time are returned.
      x__xgafv: string, V1 error format.
      onBehalfOfContentOwner: string, The content owner's external ID on which behalf the user is acting on. If not set, the user is acting for himself (his own channel).
      pageToken: string, A token identifying a page of results the server should return. Typically, this is the value of ListReportsResponse.next_page_token returned in response to the previous call to the `ListReports` method.
      createdAfter: string, If set, only reports created after the specified date/time are returned.
      startTimeBefore: string, If set, only reports whose start time is smaller than the specified date/time are returned.

    Returns:
      An object of the form:

        { # Response message for ReportingService.ListReports.
        "nextPageToken": "A String", # A token to retrieve next page of results. Pass this value in the ListReportsRequest.page_token field in the subsequent call to `ListReports` method to retrieve the next page of results.
        "reports": [ # The list of report types.
          { # A report's metadata including the URL from which the report itself can be downloaded.
            "downloadUrl": "A String", # The URL from which the report can be downloaded (max. 1000 characters).
            "jobExpireTime": "A String", # The date/time when the job this report belongs to will expire/expired.
            "id": "A String", # The server-generated ID of the report.
            "jobId": "A String", # The ID of the job that created this report.
            "startTime": "A String", # The start of the time period that the report instance covers. The value is inclusive.
            "endTime": "A String", # The end of the time period that the report instance covers. The value is exclusive.
            "createTime": "A String", # The date/time when this report was created.
          },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.